OGRE-Next: Ogre::VertexBufferPacked Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::VertexBufferPacked Class Reference

`#include <OgreVertexBufferPacked.h>`

Inheritance diagram for Ogre::VertexBufferPacked:
[legend]

## Public Member Functions
| VertexBufferPacked (size_t internalBufferStartBytes, size_t numElements, uint32 bytesPerElement, uint32 numElementsPadding, BufferType bufferType, void *initialData, bool keepAsShadow, VaoManager *vaoManager, BufferInterface *bufferInterface, const VertexElement2Vec &vertexElements)
| ~VertexBufferPacked () override
BufferPackedTypes | getBufferPackedType () const override
| Useful to query which one is the derived class.
const VertexElement2Vec & | getVertexElements () const
Public Member Functions inherited from Ogre::BufferPacked
| BufferPacked (size_t internalBufferStartBytes, size_t numElements, uint32 bytesPerElement, uint32 numElementsPadding, BufferType bufferType, void *initialData, bool keepAsShadow, VaoManager *vaoManager, BufferInterface *bufferInterface)
| Generic constructor.
virtual | ~BufferPacked ()
size_t | _getFinalBufferStart () const
size_t | _getInternalBufferStart () const
size_t | _getInternalNumElements () const
size_t | _getInternalTotalSizeBytes () const
void | _setBufferInterface (BufferInterface *bufferInterface)
| For internal use.
void | _setShadowCopy (void *copy)
| This will not delete the existing shadow copy so it can be used for other purposes if it is not needed call OGRE_FREE_SIMD( m->getShadowCopy(), MEMCATEGORY_GEOMETRY ) before calling this function.
void | advanceFrame ()
void | copyTo (BufferPacked *dstBuffer, size_t dstElemStart=0, size_t srcElemStart=0, size_t srcNumElems=std::numeric_limits< size_t >::max())
| Copies the contents of this buffer to another, using GPU -> GPU transfers.
BufferInterface * | getBufferInterface () const
BufferType | getBufferType () const
uint32 | getBytesPerElement () const
MappingState | getMappingState () const
| Returns the mapping state.
size_t | getNumElements () const
virtual BufferPacked * | getOriginalBufferType ()
| If this buffer has been reinterpreted from an UavBufferPacked, returns the original version, otherwise returns 'this'.
const void * | getShadowCopy () const
size_t | getTotalSizeBytes () const
bool | isCurrentlyMapped () const
| Returns whether the buffer is currently mapped.
void *RESTRICT_ALIAS_RETURN | map (size_t elementStart, size_t elementCount, bool bAdvanceFrame=true)
| Maps the specified region to a pointer the CPU can access.
AsyncTicketPtr | readRequest (size_t elementStart, size_t elementCount)
| Async data read request.
void | regressFrame ()
| Performs the opposite of.
void | unmap (UnmapOptions unmapOption, size_t flushStartElem=0, size_t flushSizeElem=0)
| Unmaps or flushes the region mapped with.
virtual void | upload (const void *data, size_t elementStart, size_t elementCount)
| Sends the provided data to the GPU.
Public Member Functions inherited from Ogre::GpuTrackedResource
virtual | ~GpuTrackedResource ()
virtual bool | isTextureGpu () const

## Constructor & Destructor Documentation

## ◆ VertexBufferPacked()

Ogre::VertexBufferPacked::VertexBufferPacked | ( | size_t | internalBufferStartBytes,
|  | size_t | numElements,
|  | uint32 | bytesPerElement,
|  | uint32 | numElementsPadding,
|  | BufferType | bufferType,
|  | void * | initialData,
|  | bool | keepAsShadow,
|  | VaoManager * | vaoManager,
|  | BufferInterface * | bufferInterface,
|  | const VertexElement2Vec & | vertexElements )

References Ogre::BufferPacked::BufferInterface.

## ◆ ~VertexBufferPacked()

Ogre::VertexBufferPacked::~VertexBufferPacked | ( |  | ) |
| override

## Member Function Documentation

## ◆ getBufferPackedType()

BufferPackedTypes Ogre::VertexBufferPacked::getBufferPackedType | ( |  | ) | const
| inlineoverridevirtual

Useful to query which one is the derived class.

Implements Ogre::BufferPacked.

References Ogre::BP_TYPE_VERTEX.

## ◆ getVertexElements()

const VertexElement2Vec & Ogre::VertexBufferPacked::getVertexElements | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- OgreVertexBufferPacked.h